SSH & Pear

software development

#1

The other day I install pear via SSH and all went fine, but I need to use the Mail_Mime package and I don’t know how to upgrade my pear. Below is the error im getting:

[whittier]$ pear install pear/Mail_Mime
pear/Mail_Mime requires PEAR Installer (version >= 1.6.0), installed version is 1.5.0
pear/Mail_mimeDecode requires PEAR Installer (version >= 1.6.0), installed version is 1.5.0
pear/Mail_mimeDecode requires package “pear/Mail_Mime” (version >= 1.4.0, excluded versions: 1.4.0)
No valid packages found

How can I update my pear via SSH?

Thanks,

Sebastian D Hughes.


#2

did you try:

[whittier]$ pear upgrade-all [color=#CC0000]<-- Doh! That *won’t do it[/color]

…never mind - I’m sorry for the bum steer!

–rlparker


#3

Sebastian,

I have not yet found a way to do it with the DreamHost installed PHP. :frowning:

The pear documentation has a method that might work ifyou install your own PHP (which DH let’s you do), but that is not nearly as convenient as having “pre-installed” by DreamHost.

Hopefully someone else can “hack” this - I’m sorry for the initial wrong answer.

–rlparker


#4

Maybe you can try this:
Go to http://go-pear.org/ and save as go-pear.php. Copy go-pear.php to your server and open the corresponding URL in your browser, for example http://example.com/pear/go-pear.php.
(source:http://www.go-pear.org/manual/en/installation.getting.php)

I altered go-pear.php by adding the package Mail_mimeDecode in $pfc_packages = array(…)


#5

Now *there’s" a good idea - thanks! :slight_smile:

–rlparker